Bug 1461396 - [DOCS] Document openshift(1) command
[DOCS] Document openshift(1) command
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ashley Hardin
Xingxing Xia
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 07:37 EDT by Marko Myllynen
Modified: 2017-07-12 15:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-12 15:44:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2017-06-14 07:37:19 EDT
Document URL: 
https://docs.openshift.com/container-platform/3.5/cli_reference/get_started_cli.html
https://docs.openshift.com/container-platform/3.5/cli_reference/admin_cli_operations.html

Describe the issue: 
The documentation uses oc(1) and oadm(1) in examples but only hints that the openshift(1) binary may or may not be installed. It should be explained briefly that openshift(1) is an all-in-one used also for e.g. starting services and when a user or admin is recommended to use which.
Comment 2 Ashley Hardin 2017-06-30 16:32:56 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/4685
Comment 3 Xingxing Xia 2017-07-04 07:19:44 EDT
Added comment in https://github.com/openshift/openshift-docs/pull/4685#discussion_r125449338 , thanks!
Comment 4 openshift-github-bot 2017-07-10 07:52:05 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/4f8d010107b4311c1c462d4826c4735a275e203e
Bug 1461396, added more information about the openshift binary

https://github.com/openshift/openshift-docs/commit/c945a999cce43674025cf4f68abd75b4b8d6cead
Merge pull request #4685 from ahardin-rh/BZ1461396

Bug 1461396, added more information about the openshift binary

Note You need to log in before you can comment on or make changes to this bug.